/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ARBREDIALOG_H
#define ARBREDIALOG_H

#include "ui_arbredialog.h"
#include "highlighter.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QTreeWidgetItem>
#include <QDomDocument>
#include <QDomElement>
#include <QDomNode>
#include <QDomNodeList>
#include <QProgressDialog>

class ArbreDialog : public QDialog  {
   Q_OBJECT
public:
	ArbreDialog(QWidget *parent=0, bool use_small=true);
	~ArbreDialog();
	Ui::ArbreDialog ui;
QString latexCommande, dvipsCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
bool afficherCadre;
private :
QString smallcode;
QString tempDir,texTempFile,dviTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,prefixFile;
QPointer<QProcess> latexproc, dvipsproc, epstopdfproc, bboxproc;
bool estModifie, erreurProcessus;
Highlighter *highlighter;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();
void Init();

void AjouterBranche();
void SupprimerBranche();
void AjouterSousBranche();
void ActualiserArbre();
void ActualiserCode(const QString &text);

QString GenererCode();
QString CodeNoeud(QTreeWidgetItem *item, bool haut);
void AfficherCode();
void NettoyerCode();

void NouvelArbre();
void ItemVersXml(QTreeWidgetItem *item,QDomDocument doc ,QDomElement parent);
void SauverArbre();
void XmlVersItem(QTreeWidgetItem *parentItem, QDomElement element);
void ChargerArbre();

void LatexTemp();
void finLatexProcess(int err);
void DvipsTemp();
void finDvipsProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void latexfini();
void dvipsfini();
void bboxfini();
void epstopdffini();
};


#endif
