/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BOITESDIALOG_H
#define BOITESSDIALOG_H

#include "ui_boitesdialog.h"
#include "highlighter.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QProgressDialog>

class BoitesDialog : public QDialog  {
   Q_OBJECT
public:
	BoitesDialog(QWidget *parent=0);
	~BoitesDialog();
	Ui::BoitesDialog ui;
QString latexCommande, dvipsCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
QColor couleurSupp1,couleurSupp2,couleurSupp3;
bool afficherCadre;
private :
QStringList expressionList, couleurList, styleList;
QString tempDir,texTempFile,dviTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,prefixFile;
QPointer<QProcess> latexproc, dvipsproc, epstopdfproc, bboxproc;
bool estModifie, existvaleur, erreurProcessus;
Highlighter *highlighter,*highlighterSupp;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();
void Init();
void ActiverBoites(bool etat);
void ActiverAxes(bool etat);
void ActiverGrille(bool etat);

QString GenererCode();
void AfficherCode();
void ajouterBoite();
void supprimerBoite();
void actualiserExpression();
void actualiserCouleur();
void actualiserStyle();
void actualiserItemInfo();
int numeroItem();
void NouvelleBoite();
void SauverBoite();
void ChargerBoite();

void LatexTemp();
void finLatexProcess(int err);
void DvipsTemp();
void finDvipsProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void NettoyerCode();

void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void latexfini();
void dvipsfini();
void bboxfini();
void epstopdffini();
};


#endif
