/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ESPACEDIALOG_H
#define ESPACEDIALOG_H

#include "ui_espacedialog.h"
#include "highlighter.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QProgressDialog>

class EspaceDialog : public QDialog  {
   Q_OBJECT
public:
	EspaceDialog(QWidget *parent=0,bool use_small=true);
	~EspaceDialog();
	Ui::EspaceDialog ui;
QString latexCommande, dvipsCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
QColor couleurSupp1,couleurSupp2,couleurSupp3;
bool afficherCadre;
private :
QString smallcode;
QStringList expressionList, couleurList, styleList, typeList, remplissageList;
QString tempDir,texTempFile,dviTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,prefixFile;
QPointer<QProcess> latexproc, dvipsproc, epstopdfproc, bboxproc;
bool estModifie, existvaleur, erreurProcessus;
Highlighter *highlighter,*highlighterSupp;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();
void Init();
void ActiverObjets(bool etat);
QString GenererCode();
void AfficherCode();
void ajouterObjet();
void supprimerObjet();
void remonterObjet();
void descendreObjet();
void actualiserExpression();
void actualiserCouleur();
void actualiserStyle();
void actualiserType();
void actualiserRemplissage();
void actualiserItemInfo();
int numeroItem();
void Translater();
void NouvelEspace();
void SauverEspace();
void ChargerEspace();

void LatexTemp();
void finLatexProcess(int err);
void DvipsTemp();
void finDvipsProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void NettoyerCode();

void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void latexfini();
void dvipsfini();
void bboxfini();
void epstopdffini();
};


#endif
