/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GEOMETRIEDIALOG_H
#define GEOMETRIEDIALOG_H

#include "ui_geometriedialog.h"
#include "highlighter.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QListWidget>
#include <QListWidgetItem>
#include <QProgressDialog>
#include <QCompleter>

class GeometrieDialog : public QDialog  {
   Q_OBJECT
public:
	GeometrieDialog(QWidget *parent=0, bool use_small=true);
	~GeometrieDialog();
	Ui::GeometrieDialog ui;
QString latexCommande, dvipsCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
bool afficherCadre;
private :
QString smallcode;
QString tempDir,texTempFile,dviTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,eukTempFile,prefixFile;
QPointer<QProcess> latexproc, dvipsproc, epstopdfproc, bboxproc;
bool estModifie,existvaleur, erreurProcessus;
QListWidget *dessinListWidget, *pointsListWidget, *lignesListWidget, *segmentsListWidget, *cerclesListWidget, *trianglesListWidget, *polygonesListWidget, *vecteursListWidget;
Highlighter *highlighter,*highlighterSupp;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
QCompleter *completer;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();

void ConstruireAideCommandes();
void InsererCommande(QListWidgetItem* item);
void Init();

void ActiverAxes(bool etat);
void ActiverGrille(bool etat);

bool Operateur(QString mot);
bool Fonction(QString mot);
int Priorite(QString mot);
QString CalculOp(QString n,QString m,QString x,QString variable);
QString CalculAp(QString n,QString x,QString variable);
QString CalculerExpression(QString expression, QString variable);
QString CalculerExpressionArrondi(QString expression, QString variable);

QString GenererCode();
void AfficherCode();

void NouvelleFigure();
void SauverFigure();
void ChargerFigure();

void LatexTemp();
void finLatexProcess(int err);
void DvipsTemp();
void finDvipsProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void NettoyerCode();
void NettoyerSupp();
void NettoyerCommandes();


void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void latexfini();
void dvipsfini();
void bboxfini();
void epstopdffini();
};

#endif
