/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GRAPHEDIALOG_H
#define GRAPHEDIALOG_H

#include "ui_graphedialog.h"
#include "highlighter.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QProgressDialog>

class GrapheDialog : public QDialog  {
   Q_OBJECT
public:
	GrapheDialog(QWidget *parent=0);
	~GrapheDialog();
	Ui::GrapheDialog ui;
QString latexCommande, dvipsCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
bool afficherCadre;
private :
QStringList sommetList, aretesList, angleList;
QList<QStringList> matrice;
QString tempDir,texTempFile,dviTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,prefixFile;
QPointer<QProcess> latexproc, dvipsproc, epstopdfproc, bboxproc;
bool estModifie, erreurProcessus, estPondere;
Highlighter *highlighter;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();
void Init();
void ActualiserLignes(int num);
void ActualiserColonnes(int num);
void InitTableau();
void ActiverSommets(bool etat);
void GenererMatrice();
void Matrice();
void Coloration();
void PlusCourteChaine();
QString GenererCode();
void AfficherCode();
void ajouterSommet();
void supprimerSommet();
void actualiserSommet();
void actualiserAretes();
void actualiserItemInfo();
int numeroItem();
void NouveauGraphe();
void SauverGraphe();
void ChargerGraphe();

void LatexTemp();
void finLatexProcess(int err);
void DvipsTemp();
void finDvipsProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void NettoyerCode();

void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void latexfini();
void dvipsfini();
void bboxfini();
void epstopdffini();
};


#endif
