/***************************************************************************
 *   copyright       : (C) 2006-2011 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PSTPLUS_H
#define PSTPLUS_H

#include "ui_pstplus.h"

#include <QCloseEvent>
#include <QListWidgetItem>
#include <QMenuBar>

class MainWindow : public QMainWindow  {
   Q_OBJECT
public:
	MainWindow(QWidget *parent=0);
	~MainWindow();
	Ui::MainWindow ui;
QString fichier;
public slots:
void Ouvrir(QString f );
private:
QString gnuplotCd, latexCd,dvipsCd,gsCd, lecteurpdfCd, dernierRp;
QListWidgetItem *itemAnalyse, *itemCourbe, *itemSuite, *itemTableau, *itemSurface, *itemGeometrie, *itemGeo, *itemEspace, *itemStat, *itemBoite, *itemHisto, *itemProba, *itemArbre, *itemAutre, *itemGraphe;
bool affCadre, useSmall;
QColor couleur1, couleur2, couleur3;
QMenu *aslatMenu, *assistantMenu;
#if defined( Q_WS_X11 )
QString x11style;
QString x11fontfamily;
int x11fontsize;
#endif
private slots:
void closeEvent(QCloseEvent *e);
void Quitter();
void Courbes();
void Tabvar();
void Arbre();
void Geometrie();
void Graphe();
void Boites();
void Suite();
void Histogramme();
void Surface();
void Espace();

void LireConfig();
void SauverConfig();
void Configurer();
void ActualiserConfig();
void ChargerExemple();
void SetInterfaceFont();

void chercherLatex();
void chercherDvips();
void chercherLecteurpdf();
void chercherGhostscript();
void chercherGnuplot();
void configurerCouleur1();
void configurerCouleur2();
void configurerCouleur3();

void LancerAssistant(QListWidgetItem* item);

};


#endif
