TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = pstplus
CONFIG	+= qt warn_off release
QT += xml
PSTPLUSVERSION=1.6
DEFINES += PSTPLUSVERSION=\\\"$${PSTPLUSVERSION}\\\"
DEFINES += HAVE_SPLASH
###############################
HEADERS	+= courbesdialog.h \
	suitesdialog.h \
	histodialog.h \
	surfacedialog.h \
	tabvardialog.h \
	pstplus.h \
	aidedialog.h \
	arbredialog.h \
	types.h \
	convertisseur.h \
	geometriedialog.h \
	parser.hpp \
	highlighter.h \
	eukparser.h \
	graphedialog.h \
	psttablewidget.h \
	boitesdialog.h \
	espacedialog.h \
	logdialog.h \
	logeditor.h \
	loghighlighter.h \
	objetdialog.h \
	blockdata.h \
	eukeditor.h \
	eukeditorview.h \
	eukhighlighter.h \
	linenumberwidget.h \
	listdelegate.h \
	pdfviewer.h \
	pdfdocumentwidget.h \
	pdfscrollarea.h
SOURCES	+= main.cpp \
	courbesdialog.cpp \
	histodialog.cpp \
	surfacedialog.cpp \
	suitesdialog.cpp \
	tabvardialog.cpp \
	pstplus.cpp \
	aidedialog.cpp \
	arbredialog.cpp \
	convertisseur.cpp \
	parser.cpp \
	geometriedialog.cpp \
	lexer.cpp \
	highlighter.cpp \
	eukparser.cpp \
	graphedialog.cpp \
	psttablewidget.cpp \
	boitesdialog.cpp \
	espacedialog.cpp \
	logdialog.cpp \
	logeditor.cpp \
	loghighlighter.cpp \
	objetdialog.cpp \
	blockdata.cpp \
	eukeditor.cpp \
	eukeditorview.cpp \
	eukhighlighter.cpp \
	linenumberwidget.cpp \
	listdelegate.cpp \
	pdfviewer.cpp \
	pdfdocumentwidget.cpp \
	pdfscrollarea.cpp
RESOURCES += pstplus.qrc
FORMS += courbesdialog.ui \
	suitesdialog.ui \
	histodialog.ui \
	surfacedialog.ui \
	tabvardialog.ui \
	pstplus.ui \
	aidedialog.ui \
	arbredialog.ui \
	geometriedialog.ui \
	graphedialog.ui \
	boitesdialog.ui \
	espacedialog.ui \
	objetdialog.ui \
	logdialog.ui
################################
unix:!macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
isEmpty( PREFIX ) {
    PREFIX=/usr
}
isEmpty( DESKTOPDIR ) {
    DESKTOPDIR=/usr/share/applications
}
isEmpty( ICONDIR ) {
    ICONDIR=/usr/share/pixmaps
}

INCLUDEPATH  += /usr/include/poppler/qt4
LIBS         += -L/usr/lib -lpoppler-qt4
LIBS         += -L/usr/lib -lz

DEFINES += PREFIX=\\\"$${PREFIX}\\\"

target.path = $${PREFIX}/bin

INSTALLS = target
HEADERS	+= x11fontdialog.h
SOURCES	+= x11fontdialog.cpp
FORMS += x11fontdialog.ui

utilities.path = $${PREFIX}/share/pstplus

utilities.files = utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pst \
	utilities/exemple_arbre2.pst \
	utilities/exemple_boites1.pst \
	utilities/exemple_boites2.pst \
	utilities/exemple_courbes1.pst \
	utilities/exemple_courbes2.pst \
	utilities/exemple_geometrie1.pst \
	utilities/exemple_geometrie2.pst \
	utilities/exemple_graphe1.pst \
	utilities/exemple_graphe2.pst \
	utilities/exemple_graphe3.pst \
	utilities/exemple_graphe4.pst \
	utilities/exemple_histo1.pst \
	utilities/exemple_suite1.pst \
	utilities/exemple_suite2.pst \
	utilities/exemple_tabvar1.pst \
	utilities/exemple_tabvar2.pst \
	utilities/exemple_surface1.pst \
	utilities/exemple_surface2.pst \
	utilities/exemple_surface3.pst \
	utilities/exemple_espace1.pst \
	utilities/exemple_espace2.pst \
	utilities/exemple_espace3.pst \
	utilities/pstplus128x128.png \
	utilities/pstplus16x16.png \
	utilities/pstplus22x22.png \
	utilities/pstplus32x32.png \
	utilities/pstplus48x48.png \
	utilities/pstplus64x64.png \
	utilities/pstplus.svg \
	utilities/tabvar.tex \
	utilities/qt_fr.qm 
INSTALLS += utilities

desktop.path = $${DESKTOPDIR}

desktop.files = utilities/pstplus.desktop
INSTALLS += desktop

icon.path = $${ICONDIR}

icon.files = utilities/pstplus.png
INSTALLS += icon
}
################################
win32 {
INCLUDEPATH += C:\QtSDK\mingw\include
INCLUDEPATH += C:\poppler
LIBS         += -LC:\poppler -lpoppler-qt4
RC_FILE = win.rc

#DEFINES += USB_VERSION

target.path = pstpluswin32
#target.path = pstpluswin32usb

INSTALLS = target

utilities.path = pstpluswin32
#utilities.path = pstpluswin32usb

utilities.files =utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pst \
	utilities/exemple_arbre2.pst \
	utilities/exemple_boites1.pst \
	utilities/exemple_boites2.pst \
	utilities/exemple_courbes1.pst \
	utilities/exemple_courbes2.pst \
	utilities/exemple_geometrie1.pst \
	utilities/exemple_geometrie2.pst \
	utilities/exemple_graphe1.pst \
	utilities/exemple_graphe2.pst \
	utilities/exemple_graphe3.pst \
	utilities/exemple_graphe4.pst \
	utilities/exemple_histo1.pst \
	utilities/exemple_suite1.pst \
	utilities/exemple_suite2.pst \
	utilities/exemple_tabvar1.pst \
	utilities/exemple_tabvar2.pst \
	utilities/exemple_surface1.pst \
	utilities/exemple_surface2.pst \
	utilities/exemple_surface3.pst \
	utilities/exemple_espace1.pst \
	utilities/exemple_espace2.pst \
	utilities/exemple_espace3.pst \
	utilities/tabvar.tex \
	utilities/qt_fr.qm 
INSTALLS += utilities

others.path = pstpluswin32
#others.path = pstpluswin32usb

others.files = pstplus.ico \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\mingwm10.dll \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\libgcc_s_dw2-1.dll \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\QtCore4.dll \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\QtGui4.dll \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\QtXml4.dll \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\QtXmlPatterns4.dll \
		C:\QtSDK\Desktop\Qt\4.7.3\mingw\bin\QtNetwork4.dll 
INSTALLS += others
}
###############################
macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

INCLUDEPATH  += /usr/local/include/poppler/qt4
LIBS         += -L/usr/local/lib -lpoppler-qt4

##universal tiger 32
CONFIG += link_prl x86
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.5.sdk
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
target.path = PstPlusMacosx32

##tiger snow 64
#CONFIG += link_prl x86_64
#QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.6.sdk
#QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.6
#target.path = PstPlusMacosx64

#target.path = /Applications

INSTALLS = target
utilities.path = Contents/Resources
utilities.files = utilities/qt_menu.nib \
	utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pst \
	utilities/exemple_arbre2.pst \
	utilities/exemple_boites1.pst \
	utilities/exemple_boites2.pst \
	utilities/exemple_courbes1.pst \
	utilities/exemple_courbes2.pst \
	utilities/exemple_geometrie1.pst \
	utilities/exemple_geometrie2.pst \
	utilities/exemple_graphe1.pst \
	utilities/exemple_graphe2.pst \
	utilities/exemple_graphe3.pst \
	utilities/exemple_graphe4.pst \
	utilities/exemple_histo1.pst \
	utilities/exemple_suite1.pst \
	utilities/exemple_suite2.pst \
	utilities/exemple_tabvar1.pst \
	utilities/exemple_tabvar2.pst \
	utilities/exemple_surface1.pst \
	utilities/exemple_surface2.pst \
	utilities/exemple_surface3.pst \
	utilities/exemple_espace1.pst \
	utilities/exemple_espace2.pst \
	utilities/exemple_espace3.pst \
	utilities/tabvar.tex \
	utilities/qt_fr.qm 
QMAKE_BUNDLE_DATA += utilities
INSTALLS += utilities
ICON = pstplus.icns
QMAKE_INFO_PLIST =Info.plist
}
