/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUITESDIALOG_H
#define SUITESDIALOG_H

#include "ui_suitesdialog.h"
#include "highlighter.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QProgressDialog>

class SuitesDialog : public QDialog  {
   Q_OBJECT
public:
	SuitesDialog(QWidget *parent=0, bool use_small=true);
	~SuitesDialog();
	Ui::SuitesDialog ui;
QString latexCommande, dvipsCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
QColor couleurSupp1,couleurSupp2,couleurSupp3;
bool afficherCadre;
private :
QString smallcode;
QString tempDir,texTempFile,dviTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,prefixFile;
QPointer<QProcess> latexproc, dvipsproc, epstopdfproc, bboxproc;
bool estModifie, existvaleur, erreurProcessus;
Highlighter *highlighter,*highlighterSupp;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();
void Init();
void ActiverAxes(bool etat);
void ActiverGrille(bool etat);
bool Operateur(QString mot);
bool Fonction(QString mot);
int Priorite(QString mot);
QString CalculOp(QString n,QString m,QString x,QString variable);
QString CalculAp(QString n,QString x,QString variable);
QString CalculerExpression(QString expression, QString variable);
QString CalculerExpressionArrondi(QString expression, QString variable);
QString Postfixe(QString expression);
QString GenererCode();
void AfficherCode();

void NouvelleSuite();
void SauverSuite();
void ChargerSuite();

void LatexTemp();
void finLatexProcess(int err);
void DvipsTemp();
void finDvipsProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void NettoyerCode();

void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void latexfini();
void dvipsfini();
void bboxfini();
void epstopdffini();
};


#endif

