/***************************************************************************
 *   copyright       : (C) 2006-2009 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SURFACEDIALOG_H
#define SURFACEDIALOG_H

#include "ui_surfacedialog.h"
#include "pdfviewer.h"

#include <QProcess>
#include <QPointer>
#include <QCloseEvent>
#include <QProgressDialog>

class SurfaceDialog : public QDialog  {
   Q_OBJECT
public:
	SurfaceDialog(QWidget *parent=0);
	~SurfaceDialog();
	Ui::SurfaceDialog ui;
QString gnuplotCommande, gsCommande, lecteurpdfCommande, dernierRepertoire, nomFichier;
bool afficherCadre;
private :
QStringList pointList;
QString tempDir,gnuplotTempFile,psTempFile,pdfTempFile,pngTempFile,txtTempFile,prefixFile;
QPointer<QProcess> gnuplotproc, voirproc, epstopdfproc, bboxproc;
bool estModifie, existvaleur, erreurProcessus;
QPointer<QProgressDialog> progressDialog;
QPointer<PdfViewer> pdfviewerWindow;
public slots:
void Ouvrir(QString nouveauFichier);
private slots:
void closeEvent(QCloseEvent *e);
void accept();
void Init();
void ActiverPoints(bool etat);


QString GenererCode();
void AfficherCode();
void ajouterPoint();
void supprimerPoint();
void actualiserExpression();
void actualiserItemInfo();
int numeroItem();
void NouvelleSurface();
void SauverSurface();
void ChargerSurface();

void GnuplotTemp();
void finGnuplotProcess(int err);
void BboxTemp();
void readInfoOutput();
void finBboxProcess(int err);
void EpstopdfTemp();
void finEpstopdfProcess(int err);
void VoirTemp();

void NettoyerCode();

void Aide();

void ExporterEps();
void ExporterEpsSuite();
void ExporterPdf();
void ExporterPdfSuite();
void CopierFichier(QString origine,QString destination);
signals:
void gnuplotfini();
void bboxfini();
void epstopdffini();
};


#endif
